Blogger İçin Https Protokolü ile Çalışma Sorunu

https-ile-güvenli-olmuyor
Https protokolü sorunu

  Https (Secure Hyper Text Transfer Protocol) kelime anlamı olarak güvenli metin aktarma iletişim protokolüdür. Bildiğimiz HTTP protokolüne SSL güvenliğinin eklenmesiyle oluşur. Özellikle para alışverişinin olduğu sitelerde tercih ediliyor ama Google tüm sitelerin güvenlik için Https'ye geçmeleri için bildirimlerde bulunuyor. Hatta bir yerde okuduğum yazıya göre Google sıralamasında Https'li siteler daha avantajlı olacak. Bu kısa bilgi akışından sonra asıl konuya gelelim.

  Blogger altyapısını kullanan birisi olarak özel alan adına da sahip olmadığım için Https ile kullanmak istedim. Böylece "Güvenli" yönlendirmesinin altında daha faydalı olacağını düşündüm. Uzun zamandır Https ile kullanmaya çalışıyorum ama tam olarak güvenli olmadığını ve site bilgilerini görüntüle şeklinde çalıştığını fark ettim. (Alttaki resimde ortadaki uyarı gibi görünüyordu.)
  Neden olduğunu anlamaya çalışırken eklediğim abonelik eklentisinden kaynaklandığını anladım. Eklentiyi kaldırdığımda "Güvenli" şeklinde görünmeye başladı. Bu eklenti kalıcı ziyaretçi için önemli olduğu gibi benimde vazgeçilmez eklentilerimdendir. Daha sonra nasıl anladığımı ve çözdüğümü anlatayım. Feedburner sayfasına giriş yaptığınızda blog sayfanızı seçtiğinizde aşağıdaki gibi görüntüye sahip oluyorsunuz. (Bloglar için Feedburner eklentisinin bilinmeyenleri ve ayrıntıları) yazımı okuyarak kurulum hakkında detaylı bilgiler alabilirsiniz.
  Resimde kare içine aldığım http ile başlayan link muhtemelen sizde https olarak görünüyordur. Böyle olunca da yaşanan çakışmadan dolayı güvenli olarak kullanamıyorsunuz. Burayı http olarak kaydettikten sonra sıra geldi "Gadget Ekle" bölümünden eklediğiniz abonelik eklentisine. Eklediğiniz kodun içindeki http ile başlayan tüm bağlantıları https olarak değiştirin ve kaydedin. Bu düzeltmeleri yaptıktan sonra güvenli olarak bağlanmaya başladı ve hiçbir sorun çıkmadı. Eğer hala düzelmezse aynı şekilde kendi eklediğiniz tüm eklentilerin bağlantılarını https olarak değiştirmeyi deneyin çözüme ulaşacağınızı düşünüyorum.

✔ Bu içeriği beğendiyseniz lütfen paylaşın ⤵

YAZIYI PAYLAŞ

BENZER YAZILAR

SONRAKİ
« Prev Post
ÖNCEKİ
Next Post »

13 yorum

yorum YAZ
17 Temmuz 2017 19:59

çok yararlı bir makale olmuş ..kalemine yüreğine sağlık

Cevap Ver
avatar
17 Temmuz 2017 22:39

Ben de deneyimlerle fark ettim ki: Bir çok gatget eklemelerinde eğer aranan link https değilse güvensiz uyarısı veriyor. Örneğin resimli son yorumlar kodu içinde src://... linki https değilse güvensiz kabul etmesi nedeniyle aynı uyarıyı veriyor. :)

Cevap Ver
avatar
18 Temmuz 2017 09:17

Eklentilet içindeki bağlantılar https olmalı. Çakışma yaşandığı için güvensiz gösteriyor. Teşekkürler yorum için

Cevap Ver
avatar
19 Temmuz 2017 08:52

Çok ilginç..çok uzun süre önce ben kendi blogumu "Ayarlar + Temel" kısmında "HTTPS Yönlendirmesi", "evet" seçip güvenli bağlantı haline getirmiştim...Ancak yeniden kontrol ettiğimde seçimin "hayır"a dönüştüğünü gördüm..Daha önceleri blogun açılışına (https adresine) baktığımda "kilit"in beyaz renk olduğunu farketmiştim..Bunun neden olduğunu pek anlayamıyordum..Ancak sizin bu yazınızdan sonra tekrar baktım,yönlendirmenin "hayır"a dönüştüğünü farekttim.."tekrar "evet" yaptığımda ,kilit rengi yeniden yeşile döndü..bu tür sorunu olanlar,ayaralar kısmında "https yönlendirmesi"ni bi kontrol etsin derim..elinize sağlık,faydalı bilgiler olmuş..

Cevap Ver
avatar
19 Temmuz 2017 09:04

Https yönlendirmesi google için önemli..https ile kullanmak az da olsa sıralamada etki edecek..Teşekkürler yorum için

Cevap Ver
avatar
20 Temmuz 2017 21:29

Yazı için teşekkürler. Hazır yeri gelmişken uzun zamandır aklımda olan bir soruyu sormak istiyorum. özel alan adına sahip bir bloğa ssl sertifikası ekleyebilir miyiz?

Cevap Ver
avatar
29 Aralık 2017 13:41

Güzel ve aydınlatıcı bir yazı.Ben im sitemdede https protokolü geçerli.Fakat bazı güzel widgetler var.örneğin fee jit.bloğuma uyguladığımda bloğum https geçerli olduğu için çalışmıyor.eklenti içindeki http leri https ye dönüştürdüğüm halde çalışmadı.ne yapılabilir ?:

Cevap Ver
avatar
29 Aralık 2017 21:48

Blogger için soruyorsanız artık eklenebiliyor. .com'lu bloglar güvenli bağlantı altında kullanılabiliyor.

Cevap Ver
avatar
29 Aralık 2017 22:43

Buraya kadar sorun yok.fakat.eklentilerde,widgetlerde sorun var.bazı widgetler https de çalımıyor.mesela feed jit .bu güzel eklenti çalışmıyor.

Cevap Ver
avatar
30 Aralık 2017 00:46

Eklenti içindeki http linklerini https yaptınız mı?

Cevap Ver
avatar
30 Aralık 2017 11:21

Yaptım.fakat çalışmadı.

Cevap Ver
avatar
30 Aralık 2017 13:01

Sorun feed jit eklentisinin güvenli bağlantı vermemesinden kaynaklanıyor olabilir. Sitenin kendisi http'li olduğu için desteklemiyor.

Cevap Ver
avatar

YORUM YAPARAK KATKIDA BULUNABİLİRSİNİZ...

1) Yaptığınız yorumun, yazıyla alakalı olmasına özen gösterin.
2) Yazım ve dil bilgisi kurallarına mümkün olduğunca dikkat edin.
3) Kullandığınız üslubun sizi yansıttığını unutmayın.
4) Yorum yaparken link eklemeyin.
5) Yorumunuza ikon eklemek için "Emoticon" butonuna tıklayın.
6) EmoticonEmoticon